Bug 24601 - Mark sambaRID property as required if attribute is required by object class
Mark sambaRID property as required if attribute is required by object class
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
: 24665 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 15:31 CET by Lukas Walter
Modified: 2017-08-02 14:34 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (701 bytes, patch)
2017-02-10 13:11 CET, Florian Best
Details | Diff
find_wrong_attributes.py (1.10 KB, text/x-python)
2017-07-28 16:36 CEST, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Walter univentionstaff 2011-11-14 15:31:05 CET
Es ist nicht möglich in der UMC ein Settings:Samba Domain UDM Objekt anzulegen ohne dabei eine gültige Samba SID anzugeben da sonst ein LDAP-Error zurück gegeben wird.

Es wäre daher sinnvoll das "Samba SID" Feld als Pflichtfeld einzurichten und kenntlich zu machen.
Comment 1 Alexander Kläser univentionstaff 2011-11-16 12:57:49 CET
*** Bug 24665 has been marked as a duplicate of this bug. ***
Comment 2 Florian Best univentionstaff 2017-02-10 13:11:38 CET
Created attachment 8419 [details]
patch
Comment 3 Florian Best univentionstaff 2017-06-22 18:19:24 CEST
The same applies in theory for container/dc.
Comment 4 Florian Best univentionstaff 2017-07-28 15:55:33 CEST
univention-directory-manager-modules (12.0.18-6):
r81531 | Bug #24601: LDAP-Attributes which are required by their schema are now marked as required in UMC.

univention-directory-manager-modules.yaml:
r81531 | Bug #24601: LDAP-Attributes which are required by their schema are now marked as required in UMC.
Comment 5 Florian Best univentionstaff 2017-07-28 16:36:59 CEST
Created attachment 9074 [details]
find_wrong_attributes.py

Maybe useful somewhen again. This script helps to determine wrong properties.
Comment 6 Johannes Keiser univentionstaff 2017-07-31 11:36:35 CEST
OK Samba SID is marked as required
YAML: OK
-> verified
Comment 7 Arvid Requate univentionstaff 2017-08-02 14:34:08 CEST
<http://errata.software-univention.de/ucs/4.2/121.html>